package modelo;
// Generated 18 ene. 2021 17:26:16 by Hibernate Tools 5.4.18.Final

/**
 * Linfactura generated by hbm2java
 */
public class Linfactura implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private LinfacturaId id;
	private Articulo articulo;
	private Factura factura;
	private int cantidad;
	private float importe;

	public Linfactura() {
	}

	public Linfactura(LinfacturaId id, Articulo articulo, Factura factura, int cantidad, float importe) {
		this.id = id;
		this.articulo = articulo;
		this.factura = factura;
		this.cantidad = cantidad;
		this.importe = importe;
	}

	public LinfacturaId getId() {
		return this.id;
	}

	public void setId(LinfacturaId id) {
		this.id = id;
	}

	public Articulo getArticulo() {
		return this.articulo;
	}

	public void setArticulo(Articulo articulo) {
		this.articulo = articulo;
	}

	public Factura getFactura() {
		return this.factura;
	}

	public void setFactura(Factura factura) {
		this.factura = factura;
	}

	public int getCantidad() {
		return this.cantidad;
	}

	public void setCantidad(int cantidad) {
		this.cantidad = cantidad;
	}

	public float getImporte() {
		return this.importe;
	}

	public void setImporte(float importe) {
		this.importe = importe;
	}

}
